Skip to main content
GET
[One Click Apps] Get an application

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

app_id
string
required

Unique identifier of the deployed One Click App.

instance_id
string
required

Unique identifier of the compute instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Response

id
string<uuid>
required
read-only
name
string
required
read-only

Unique per instance

Pattern: ^[-a-zA-Z0-9_]+$
kind
enum<string>
required
read-only
  • catalog - Catalog
  • custom - Custom
Available options:
catalog,
custom
display_name
string
required
read-only
catalog_app
object | null
required
source
any
required
read-only

Custom application source (git or image), no secret

resource_kind
string
required
read-only

Provider resource kind (e.g. service or application on Coolify)

has_webhook
boolean
required
read-only

True when a redeploy webhook secret exists

status
enum<string>
required
read-only
  • pending - Pending
  • deploying - Deploying
  • running - Running
  • degraded - Degraded
  • stopped - Stopped
  • starting - Starting
  • failed - Failed
  • deleting - Deleting
  • deleted - Deleted
  • unknown - Unknown
Available options:
pending,
deploying,
running,
degraded,
stopped,
starting,
failed,
deleting,
deleted,
unknown
raw_status
string
required
read-only
domains
object[]
required
read-only
install_parameters
object
required
read-only
template_updated_at_deploy
string<date-time> | null
required
read-only
update_available
boolean
required
read-only
image_updates
object[]
required
read-only
images_checked_at
string<date-time> | null
required
read-only
deployed_at
string<date-time> | null
required
read-only
last_deployed_at
string<date-time> | null
required
read-only
last_status_at
string<date-time> | null
required
read-only
task_id
string<uuid> | null
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only